---
title: 404 Not Found
slug: Web/HTTP/Status/404
tags:
  - Browser
  - Client error
  - HTTP
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <code><strong>404 Not Found</strong></code> client error response code indicates that the server can't find the requested resource. Links that lead to a 404 page are often called broken or dead links and can be subject to <a href="https://en.wikipedia.org/wiki/Link_rot">link rot</a>.</p>

<p>A 404 status code does not indicate whether the resource is temporarily or permanently missing. But if a resource is permanently removed, a {{HTTPStatus("410")}} (Gone) should be used instead of a 404 status.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox notranslate">404 Not Found</pre>

<h2 id="Custom_error_pages">Custom error pages</h2>

<p>Many web sites customize the look of a 404 page to be more helpful to the user and provide guidance on what to do next. Apache servers can be configured using an <code>.htaccess</code> file and a code snippet like the following example.</p>

<pre class="brush: bash notranslate">ErrorDocument 404 /notfound.html</pre>

<p>For an example of a custom 404 page, see <a href="https://developer.mozilla.org/en-US/404">MDN's 404 page</a>.</p>

<div class="note">
<p>Custom design is a good thing, in moderation. Feel free to make your 404 page humorous and human, but don't confuse your users.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7231", "404 Not Found" , "6.5.4")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.status.404")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPStatus("410")}}</li>
 <li>
  <p>{{interwiki("wikipedia", "HTTP_404", "Wikipedia: HTTP 404")}}</p>
 </li>
</ul>
